WKS4ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a WPS4Parser. More...

Inheritance diagram for WKS4ParserInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, WKS4Parser &pars, bool header)
| constructor for a text entry
| ~SubDocument () final
| destructor
virtual bool | operator== (std::shared_ptr< WKSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
bool | m_header
| a flag to known if we need to send the header or the footer

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS4Parser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

WKS4ParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WKS4Parser & | pars,
|  | bool | header )
| inline

constructor for a text entry

Referenced by operator==().

## ◆ ~SubDocument()

WKS4ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator==()

virtual bool WKS4ParserInternal::SubDocument::operator== | ( | std::shared_ptr< WKSSubDocument > const & | doc | ) | const
| inline final virtual

operator==

## ◆ parse()

void WKS4ParserInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| final virtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_header

bool WKS4ParserInternal::SubDocument::m_header

a flag to known if we need to send the header or the footer

Referenced by operator==(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- WKS4.cpp